LISTMENU "MainMenu"
{
	IfGame(Doom, Chex)
	{
		StaticPatch 94, 2, "M_DOOM"
		Position 97, 72
		IfOption(ReadThis)
		{
			Position 97, 64
		}
	}
	IfGame(Strife)
	{
		StaticPatch 84, 2, "M_STRIFE"
		Position 97, 45
	}
	IfGame(Heretic)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 40, 10, "M_SKL01"
		StaticPatch 232, 10, "M_SKL00"
		Position 110, 56
	}
	IfGame(Hexen)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 37, 80, "FBULB0"
		StaticPatch 278, 80, "FBULA0"
		Position 110, 56
	}
	
	IfGame(Doom, Strife, Chex)
	{
		Font "DBIGFONT", "MenuWhite"
		TextItem "SinglePlayer", "s", "PlayerclassMenu"
		TextItem "Loadout", "l", "LoadoutMenu" // [Jax]
		TextItem "Multiplayer", "m", "ZA_MultiplayerOptions" // [Lego]
		TextItem "Player Setup", "p", "PlayerMenu"
		TextItem "Options", "o", "OptionsMenu"
		TextItem "Quit Game", "q", "QuitMenu"
	}
	
	IfGame(Heretic, Hexen)
	{
		TextItem "$MNU_NEWGAME", "n", "PlayerclassMenu"
		TextItem "$MNU_OPTIONS", "o", "OptionsMenu"
		TextItem "$MNU_GAMEFILES", "g", "GameFilesMenu"
		TextItem "$MNU_INFO", "i", "ReadThisMenu"
		TextItem "$MNU_QUITGAME", "q", "QuitMenu"
	}
}

OptionMenu "LoadoutMenu"
{
    Title "Loadout"
	StaticText     ""
	Option "Ammo Mode", "ammo_mode", "ammo_mode_Options"
	StaticText     "(ammo_mode)"
	StaticText     ""
	StaticText     "Megaman LMS/Buckshot Loadout",1
	Option "Range", "LO_range", "RangeOptions"
	StaticText     "(LO_range)"
	Option "Rapid", "LO_rapid", "RapidOptions"
	StaticText     "(LO_rapid)"
	Option "Close", "LO_close", "CloseOptions"
	StaticText     "(LO_close)"
	Option "Power", "LO_power", "PowerOptions"
	StaticText     "(LO_power)"
	Option "Guard", "LO_guard", "GuardOptions"
	StaticText     "(LO_guard)"
	StaticText     ""
	StaticText     "MegamanStatic Loadout",1
	StaticText     "Passive: +10 Power"
	Option "Slot 1", "LO_static_1", "AllOptionsButOne"
	StaticText     "(LO_static_1)"
	Option "Slot 2", "LO_static_2", "AllOptions"
	StaticText     "(LO_static_2)"
	Option "Slot 3", "LO_static_3", "AllOptions"
	StaticText     "(LO_static_3)"
	StaticText     ""
	StaticText     "Power:"
	StaticText     "increases special weapon damage, decreases damage taken."
	StaticText     "200% power = double damage dealt, half damage taken."
	StaticText     "50% power = half damage dealt, double damage taken."
	StaticText     "etc."
}

OptionValue ammo_mode_Options
{
-1, "(-1) Random"
0, "(0) Pickup (-0 Power) (LMS WTank)"
1, "(1) Slow Regen (-0 Power)"
2, "(2) Normal Regen (-20 Power)"
3, "(3) Fast Regen (-40 Power)"
}

OptionValue RangeOptions
{
-1, "(-1) Random"
0, "(0) Thunder Beam"
1, "(1) Fire Storm"
2, "(2) Magnet Missile"
3, "(3) Gemini Laser"
4, "(4) Search Snake"
5, "(5) Spark Shock"
6, "(6) Dust Crusher"
7, "(7) Dive Missile"
8, "(8) Gyro Attack"
9, "(9) Blizzard Attack"
10, "(10) Silver Tomahawk"
11, "(11) Wind Storm"
12, "(12) Freeze Cracker"
13, "(13) Noise Crush"
14, "(14) Thunder Bolt"
15, "(15) Homing Sniper"
16, "(16) Mega Ball"
17, "(17) Ice Wave"
18, "(18) Copy Vision"
19, "(19) Laser Trident"
}
OptionValue RapidOptions
{
-1, "(-1) Random"
0, "(0) Ice Slasher"
1, "(1) Metal Blade"
2, "(2) Quick Boomerang"
3, "(3) Needle Cannon"
4, "(4) Water Wave"
5, "(5) Yamato Spear"
6, "(6) Water Balloon"
7, "(7) Wave Burner"
8, "(8) Plug Ball"
9, "(9) Screw Crusher"
}
OptionValue CloseOptions
{
-1, "(-1) Random"
0, "(0) Rolling Cutter"
1, "(1) Oil Slider"
2, "(2) Bubble Lead"
3, "(3) Air Shooter"
4, "(4) Top Spin"
5, "(5) Shadow Blade"
6, "(6) Ring Boomerang"
7, "(7) Charge Kick"
8, "(8) Power Stone"
9, "(9) Flame Blast"
10, "(10) Knight Crush"
11, "(11) Wild Coil"
12, "(12) Slash Claw"
13, "(13) Flame Sword"
14, "(14) Thunder Claw"
15, "(15) Tornado Hold"
16, "(16) Tengu Blade"
17, "(17) Magic Card"
18, "(18) Concrete Shot"
19, "(19) Hornet Chaser"
20, "(20) Magma Bazooka"
21, "(21) Sakugarne"
}
OptionValue PowerOptions
{
-1, "(-1) Random"
0, "(0) Super Arm"
1, "(1) Hyper Bomb"
2, "(2) Atomic Fire"
3, "(3) Crash Bomb"
4, "(4) Hard Knuckle"
5, "(5) Drill Bomb"
6, "(6) Pharaoh Shot"
7, "(7) Napalm Bomb"
8, "(8) Crystal Eye"
9, "(9) Danger Wrap"
10, "(10) Flash Bomb"
11, "(11) Spread Drill"
12, "(12) Remote Mine"
13, "(13) Ballade Cracker"
}
OptionValue GuardOptions
{
-1, "(-1) Random"
0, "(0) Leaf Shield"
1, "(1) Skull Barrier"
2, "(2) Star Crash"
3, "(3) Plant Barrier"
4, "(4) Scorch Wheel"
5, "(5) Junk Shield"
6, "(6) Ice Wall"
7, "(7) Jewel Satellite"
8, "(8) Mirror Buster"
}

OptionValue AllOptions
{
-2, "(-2) Random"
-1, "(-1) None, +10 Power"
0, "(0) Thunder Beam"
1, "(1) Fire Storm"
2, "(2) Magnet Missile"
3, "(3) Gemini Laser"
4, "(4) Search Snake"
5, "(5) Spark Shock"
6, "(6) Dust Crusher"
7, "(7) Dive Missile"
8, "(8) Gyro Attack"
9, "(9) Blizzard Attack"
10, "(10) Silver Tomahawk"
11, "(11) Wind Storm"
12, "(12) Freeze Cracker"
13, "(13) Noise Crush"
14, "(14) Thunder Bolt"
15, "(15) Homing Sniper"
16, "(16) Mega Ball"
17, "(17) Ice Wave"
18, "(18) Copy Vision"
19, "(19) Laser Trident"

20, "(20) Ice Slasher"
21, "(21) Metal Blade"
22, "(22) Quick Boomerang"
23, "(23) Needle Cannon"
24, "(24) Water Wave"
25, "(25) Yamato Spear"
26, "(26) Water Balloon"
27, "(27) Wave Burner"
28, "(28) Plug Ball"
29, "(29) Screw Crusher"

30, "(30) Rolling Cutter"
31, "(31) Oil Slider"
32, "(32) Bubble Lead"
33, "(33) Air Shooter"
34, "(34) Top Spin"
35, "(35) Shadow Blade"
36, "(36) Ring Boomerang"
37, "(37) Charge Kick"
38, "(38) Power Stone"
39, "(39) Flame Blast"
40, "(40) Knight Crush"
41, "(41) Wild Coil"
42, "(42) Slash Claw"
43, "(43) Flame Sword"
44, "(44) Thunder Claw"
45, "(45) Tornado Hold"
46, "(46) Tengu Blade"
47, "(47) Magic Card"
48, "(48) Concrete Shot"
49, "(49) Hornet Chaser"
50, "(50) Magma Bazooka"
51, "(51) Sakugarne"

52, "(52) Super Arm"
53, "(53) Hyper Bomb"
54, "(54) Atomic Fire"
55, "(55) Crash Bomb"
56, "(56) Hard Knuckle"
57, "(57) Drill Bomb"
58, "(58) Pharaoh Shot"
59, "(59) Napalm Bomb"
60, "(60) Crystal Eye"
61, "(61) Danger Wrap"
62, "(62) Flash Bomb"
63, "(63) Spread Drill"
64, "(64) Remote Mine"
65, "(65) Ballade Cracker"

66, "(66) Leaf Shield"
67, "(67) Skull Barrier"
68, "(68) Star Crash"
69, "(69) Plant Barrier"
70, "(70) Scorch Wheel"
71, "(71) Junk Shield"
72, "(72) Ice Wall"
73, "(73) Jewel Satellite"
74, "(74) Mirror Buster"
}

OptionValue AllOptionsButOne
{
-2, "(-2) Random"
//-1, "(-1) None, +10 Power"
0, "(0) Thunder Beam"
1, "(1) Fire Storm"
2, "(2) Magnet Missile"
3, "(3) Gemini Laser"
4, "(4) Search Snake"
5, "(5) Spark Shock"
6, "(6) Dust Crusher"
7, "(7) Dive Missile"
8, "(8) Gyro Attack"
9, "(9) Blizzard Attack"
10, "(10) Silver Tomahawk"
11, "(11) Wind Storm"
12, "(12) Freeze Cracker"
13, "(13) Noise Crush"
14, "(14) Thunder Bolt"
15, "(15) Homing Sniper"
16, "(16) Mega Ball"
17, "(17) Ice Wave"
18, "(18) Copy Vision"
19, "(19) Laser Trident"

20, "(20) Ice Slasher"
21, "(21) Metal Blade"
22, "(22) Quick Boomerang"
23, "(23) Needle Cannon"
24, "(24) Water Wave"
25, "(25) Yamato Spear"
26, "(26) Water Balloon"
27, "(27) Wave Burner"
28, "(28) Plug Ball"
29, "(29) Screw Crusher"

30, "(30) Rolling Cutter"
31, "(31) Oil Slider"
32, "(32) Bubble Lead"
33, "(33) Air Shooter"
34, "(34) Top Spin"
35, "(35) Shadow Blade"
36, "(36) Ring Boomerang"
37, "(37) Charge Kick"
38, "(38) Power Stone"
39, "(39) Flame Blast"
40, "(40) Knight Crush"
41, "(41) Wild Coil"
42, "(42) Slash Claw"
43, "(43) Flame Sword"
44, "(44) Thunder Claw"
45, "(45) Tornado Hold"
46, "(46) Tengu Blade"
47, "(47) Magic Card"
48, "(48) Concrete Shot"
49, "(49) Hornet Chaser"
50, "(50) Magma Bazooka"
51, "(51) Sakugarne"

52, "(52) Super Arm"
53, "(53) Hyper Bomb"
54, "(54) Atomic Fire"
55, "(55) Crash Bomb"
56, "(56) Hard Knuckle"
57, "(57) Drill Bomb"
58, "(58) Pharaoh Shot"
59, "(59) Napalm Bomb"
60, "(60) Crystal Eye"
61, "(61) Danger Wrap"
62, "(62) Flash Bomb"
63, "(63) Spread Drill"
64, "(64) Remote Mine"
65, "(65) Ballade Cracker"

66, "(66) Leaf Shield"
67, "(67) Skull Barrier"
68, "(68) Star Crash"
69, "(69) Plant Barrier"
70, "(70) Scorch Wheel"
71, "(71) Junk Shield"
72, "(72) Ice Wall"
73, "(73) Jewel Satellite"
74, "(74) Mirror Buster"
}
